> ## Documentation Index
> Fetch the complete documentation index at: https://developer.vanta.com/llms.txt
> Use this file to discover all available pages before exploring further.

# List audit comments

> Returns a paginated list of comments for an audit.

Rate limit: 250 requests / minute.



## OpenAPI

````yaml https://spec.speakeasy.com/vanta/vanta/conduct-an-audit-with-code-samples get /audits/{auditId}/comments
openapi: 3.0.0
info:
  title: Conduct an audit
  version: 1.0.0
  description: >-
    The Auditor API lets audit firms conduct audits from a tool outside of
    Vanta. Unlock data syncing with Vanta through this API.


    **Note for Vanta Gov (FedRAMP) customers:** Select `Vanta Gov (FedRAMP)`
    from the server dropdown to issue requests against
    `https://api.vanta-gov.com`. The OAuth token URL shown below defaults to the
    commercial host — replace it with `https://api.vanta-gov.com/oauth/token`.
  termsOfService: https://www.vanta.com/terms
  license:
    name: UNLICENSED
  contact:
    name: API Support
    url: https://help.vanta.com/
    email: support@vanta.com
servers:
  - url: https://api.vanta.com/v1
    description: Vanta (Commercial)
  - url: https://api.vanta-gov.com/v1
    description: Vanta Gov (FedRAMP)
security: []
paths:
  /audits/{auditId}/comments:
    get:
      tags:
        - Audits
      summary: List audit comments
      description: |-
        Returns a paginated list of comments for an audit.

        Rate limit: 250 requests / minute.
      operationId: ListAuditComments
      parameters:
        - in: path
          name: auditId
          required: true
          schema:
            type: string
        - in: query
          name: pageSize
          required: false
          schema:
            $ref: '#/components/schemas/PageSize'
        - in: query
          name: pageCursor
          required: false
          schema:
            $ref: '#/components/schemas/PageCursor'
        - description: Includes all comments that have changed since changedSinceDate.
          in: query
          name: changedSinceDate
          required: false
          schema:
            type: string
            format: date-time
      responses:
        '200':
          description: Ok
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/PaginatedResponse_Comment_'
              examples:
                Example 1:
                  value:
                    results:
                      data:
                        - id: 65fc81a3359c8508c9af880f
                          auditEvidenceId: 65fc81a3359c8508c9af880f
                          text: Some comment
                          creationDate: '2024-03-07T21:25:56.000Z'
                          modificationDate: '2024-03-07T21:25:56.000Z'
                          deletionDate: '2024-03-07T21:25:56.000Z'
                          email: vlad@vantaroo.com
                          authorName: Vlad Vantaroo
                      pageInfo:
                        hasNextPage: false
                        hasPreviousPage: false
                        startCursor: YXJyYXljb25uZWN0aW9uOjA=
                        endCursor: YXJyYXljb25uZWN0aW9uOjE=
      security:
        - bearerAuth: []
      x-codeSamples:
        - lang: typescript
          label: ListAuditComments
          source: |-
            import { Vanta } from "vanta-auditor-api-sdk";

            const vanta = new Vanta({
              bearerAuth: process.env["VANTA_BEARER_AUTH"] ?? "",
            });

            async function run() {
              const result = await vanta.audits.listComments({
                auditId: "<id>",
              });

              console.log(result);
            }

            run();
        - lang: java
          label: ListAuditComments
          source: >-
            package hello.world;


            import com.vanta.vanta_auditor_api.Vanta;

            import
            com.vanta.vanta_auditor_api.models.operations.ListAuditCommentsResponse;

            import java.lang.Exception;


            public class Application {

                public static void main(String[] args) throws Exception {

                    Vanta sdk = Vanta.builder()
                            .bearerAuth(System.getenv().getOrDefault("BEARER_AUTH", ""))
                        .build();

                    ListAuditCommentsResponse res = sdk.audits().listComments()
                            .auditId("<id>")
                            .pageSize(10)
                            .call();

                    if (res.paginatedResponseComment().isPresent()) {
                        System.out.println(res.paginatedResponseComment().get());
                    }
                }
            }
components:
  schemas:
    PageSize:
      type: integer
      format: int32
      default: 10
      description: >-
        Controls the maximum number of items returned in one response from the
        API.
      minimum: 1
      maximum: 100
    PageCursor:
      type: string
      description: >-
        A marker or pointer, telling the API where to start fetching items for
        the subsequent page in a paginated dataset.

        Note that the requested page will not include the item that corresponds
        to this cursor but will start from the one immediately

        after this cursor.
    PaginatedResponse_Comment_:
      properties:
        results:
          properties:
            data:
              items:
                $ref: '#/components/schemas/Comment'
              type: array
            pageInfo:
              $ref: '#/components/schemas/PageInfo'
          required:
            - data
            - pageInfo
          type: object
      required:
        - results
      type: object
      additionalProperties: false
    Comment:
      properties:
        id:
          type: string
          description: The unique identifier for the comment
        auditEvidenceId:
          type: string
          description: The unique identifier for the audit evidence related to the comment.
        text:
          type: string
          description: The comment message
        creationDate:
          type: string
          format: date-time
          description: When the comment was created
        modificationDate:
          type: string
          format: date-time
          nullable: true
          description: When the comment was updated
        deletionDate:
          type: string
          format: date-time
          nullable: true
          description: When the comment was deleted
        email:
          type: string
          nullable: true
          description: >-
            The email of the comment author. This acts as a unique identifier to
            map users between Vanta and external systems.
        authorName:
          type: string
          nullable: true
          description: >-
            Human-readable display name of the comment author.

            Null if the author's name is not available (e.g., user was deleted).

            This enables correct author attribution in integrations where users
            cannot

            be reliably matched across systems by email alone.
      required:
        - id
        - auditEvidenceId
        - text
        - creationDate
        - modificationDate
        - deletionDate
        - email
        - authorName
      type: object
      additionalProperties: false
    PageInfo:
      description: Provides information about the pagination of a dataset.
      properties:
        endCursor:
          type: string
          nullable: true
          description: >-
            The cursor that points to the end of the current page, or null if
            there is no such cursor.
        hasNextPage:
          type: boolean
          description: Indicates if there is another page after the current page.
        hasPreviousPage:
          type: boolean
          description: Indicates if there is a page before the current page.
        startCursor:
          type: string
          nullable: true
          description: >-
            The cursor that points to the start of the current page, or null if
            there is no such cursor.
      required:
        - endCursor
        - hasNextPage
        - hasPreviousPage
        - startCursor
      type: object
      additionalProperties: false
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer

````